---
name: Bug or Issue Report
about: Submit a bug report or issue to help us fix and improve DVR-Scan.

---

**Bug/Issue Description:**
A clear and concise description of what the bug or issue is - in other words, what the *unexpected* behavior or output is.

**Required Information:**

Provide a full copy of the command line options you are using, and add `--verbosity debug`, for example:

`dvr-scan -i some_video.mp4 -so -et 00:01:00.000 --verbosity debug`

You may also specify a logfile with `--verbosity debug` and attach that.

**Expected Behavior:**
A clear and concise description of what you *expected* to happen.

**Computing Environment:**
 - OS: [e.g. Windows, Linux (Distro: Ubuntu, Mint, Fedora, etc...), OSX]
 - Python Version: [e.g. 3.6 or 3.6.6]
 - OpenCV Version: [e.g. 3.4.1]

**Additional Information:**
Add any other information you feel might be relevant to the bug/issue report but was not covered in one of the previous categories.

**Media [Videos/Images/Screenshots]:**
Provide any other information you can, including videos/media that can demonstrate the bug you are reporting (even YouTube links are fine). If applicable, add the output images from DVR-Scan, or any screenshots you feel are necessary to help explain your problem.

Remove this section if there is no media associated with the issue/bug report.
